Package org.jfree.layouting.input.style.parser.stylehandler.border

## Class BorderBottomReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler
  - - org.jfree.layouting.input.style.parser.stylehandler.border.BorderStyleReadHandler
    - - org.jfree.layouting.input.style.parser.stylehandler.border.BorderBottomReadHandler

- All Implemented Interfaces:
    `CSSCompoundValueReadHandler`, `CSSValueReadHandler`

      public class BorderBottomReadHandler
      extends BorderStyleReadHandler

  Creation-Date: 27.11.2005, 19:52:12
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BorderBottomReadHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map` | `createValues​(org.w3c.css.sac.LexicalUnit unit)` | Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.border.BorderStyleReadHandler

      `getAffectedKeys`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

      `addValue, createValue, isAutoAllowed, lookupValue`

- - ### Constructor Detail

    - #### BorderBottomReadHandler

          public BorderBottomReadHandler​()

  - ### Method Detail

    - #### createValues

          public java.util.Map createValues​(org.w3c.css.sac.LexicalUnit unit)

      Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
      Specified by:
        `createValues` in interface `CSSCompoundValueReadHandler`
      Overrides:
        `createValues` in class `BorderStyleReadHandler`
      Parameters:
        `unit` -
      Returns: